dim4.h File Reference

Includes all headers for working with 4-dimensional triangulations. This includes headers for the main class Triangulation<4>, as well as the face classes Face<4,subdim>, the component classes Component<4> and BoundaryComponent<4>, and the isomorphism class Isomorphism<4>. More...

`#include "triangulation/dim4/triangulation4.h"`

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef Isomorphism< 4 > | regina::Dim4Isomorphism
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Includes all headers for working with 4-dimensional triangulations. This includes headers for the main class Triangulation<4>, as well as the face classes Face<4,subdim>, the component classes Component<4> and BoundaryComponent<4>, and the isomorphism class Isomorphism<4>.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).